Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.server
Interface ServerConstants

All Known Subinterfaces:
  MBeanRegistry

All Known Implementing Classes:
  AgentID, BasicMBeanRegistry, DispatcherFactory, LoaderRepository, MBeanEntry, MBeanServerImpl, OptimizedMBeanDispatcher

public interface ServerConstants

Server related constant variables. These are constants that are used internally by the MBean server implementation or are used to configure the MBean server. Different JMX service specific constants should be added to the `ServiceConstants` interface.

Version:
  $Revision: 1.30 $
Author:
  Juha Lindfors., Adrian Brock.
See Also:
  `ServiceConstants`, `MBeanServerImpl`

Field Summary
`static String` | `CLASS_REMOVED`
`static String` | `CLASSLOADER` The key for the context classloader for an MBean registration
`static String` | `CLASSLOADER_ADDED`
`static String` | `CLASSLOADER_REMOVED`
`static String` | `DEFAULT_DOMAIN` The default domain name for the MBean server.
`static String` | `DEFAULT_LOADER_NAME`
`static String` | `DEFAULT_LOADER_REPOSITORY_CLASS`
`static String` | `DEFAULT_MBEAN_REGISTRY_CLASS`
`static String` | `DEFAULT_MBEAN_SERVER_BUILDER_CLASS`
`static String` | `DEFAULT_REQUIRED_MODELMBEAN_CLASS` This constant defines the default Model MBean implementation used for spec required Model MBean (`javax.management.modelmbean.RequiredModelMBean`) instance.
`static String` | `DEFAULT_SCOPED_REPOSITORY_CLASS`
`static String` | `DEFAULT_SCOPED_REPOSITORY_PARSER_CLASS`
`static String` | `IMPLEMENTATION_NAME` The name of the implementation.
`static String` | `IMPLEMENTATION_VENDOR` The vendor of the implementation.
`static String` | `IMPLEMENTATION_VERSION` The version of the implementation.
`static String` | `JMI_DOMAIN` The name of the protected implementation domain Pass this object to the registry in the values map as the key and value to register in this domain
`static String` | `LOADER_REPOSITORY_CLASS_PROPERTY` This property can be used to configure the default class loader repository implementation for the JVM.
`static String` | `MBEAN_REGISTRY` String representation of the MBean registry mbean object name.
`static String` | `MBEAN_REGISTRY_CLASS_PROPERTY`
`static String` | `MBEAN_SERVER_BUILDER_CLASS_PROPERTY`
`static String` | `MBEAN_SERVER_CONFIGURATION` String representationof the MBean server configuration mbean object name.
`static String` | `MBEAN_SERVER_DELEGATE` String representation of the MBean server delegate MBean object name.
`static String` | `OPTIMIZE_REFLECTED_DISPATCHER`
`static String` | `REQUIRED_MODELMBEAN_CLASS_PROPERTY` This property can be used to configure which Model MBean implementation is used for the MBean agent's required Model MBean (see `RequiredModelMBean`).
`static String` | `SPECIFICATION_NAME` The specification name of the implementation.
`static String` | `SPECIFICATION_VENDOR` The specification vendor name.
`static String` | `SPECIFICATION_VERSION` The specification version of the implementation.
`static String` | `UNIFIED_LOADER_REPOSITORY_CLASS`

Field Detail

### JMI_DOMAIN

    public static final String JMI_DOMAIN

  The name of the protected implementation domain Pass this object to the registry in the values map as the key and value to register in this domain

  See Also:
    Constant Field Values

### MBEAN_SERVER_DELEGATE

    public static final String MBEAN_SERVER_DELEGATE

  String representation of the MBean server delegate MBean object name.

  See Also:
    Constant Field Values

### MBEAN_REGISTRY

    public static final String MBEAN_REGISTRY

  String representation of the MBean registry mbean object name.

  See Also:
    Constant Field Values

### MBEAN_SERVER_CONFIGURATION

    public static final String MBEAN_SERVER_CONFIGURATION

  String representationof the MBean server configuration mbean object name.

  See Also:
    Constant Field Values

### DEFAULT_DOMAIN

    public static final String DEFAULT_DOMAIN

  The default domain name for the MBean server. If a default domain is not specified when the server is created, this value (`"DefaultDomain"`) is used.

  See Also:
    `MBeanServerFactory`, Constant Field Values

### SPECIFICATION_NAME

    public static final String SPECIFICATION_NAME

  The specification name of the implementation. This value can be retrieved from the MBean server delegate.

  See Also:
    Constant Field Values

### SPECIFICATION_VERSION

    public static final String SPECIFICATION_VERSION

  The specification version of the implementation. This value can be retrieved from the MBean server delegate.

  See Also:
    Constant Field Values

### SPECIFICATION_VENDOR

    public static final String SPECIFICATION_VENDOR

  The specification vendor name. This value can be retrieved from the MBean server delegate.

  See Also:
    Constant Field Values

### IMPLEMENTATION_NAME

    public static final String IMPLEMENTATION_NAME

  The name of the implementation. This value can be retrieved from the MBean server delegate.

  See Also:
    Constant Field Values

### IMPLEMENTATION_VERSION

    public static final String IMPLEMENTATION_VERSION

  The version of the implementation. This value can be retrieved from the MBean server delegate.

  See Also:
    Constant Field Values

### IMPLEMENTATION_VENDOR

    public static final String IMPLEMENTATION_VENDOR

  The vendor of the implementation. This value can be retrieved from the MBean server delegate.

  See Also:
    Constant Field Values

### REQUIRED_MODELMBEAN_CLASS_PROPERTY

    public static final String REQUIRED_MODELMBEAN_CLASS_PROPERTY

  This property can be used to configure which Model MBean implementation is used for the MBean agent's required Model MBean (see `RequiredModelMBean`). The required Model MBean implementation will delegate all calls to the class specified with this property, e.g `-Djbossmx.required.modelmbean.class=org.jboss.mx.modelmbean.XMBean` would instantiate and delegate all calls made to `RequiredModelMBean` instance to JBossMX XMBean implementation.

  See Also:
    Constant Field Values

### DEFAULT_REQUIRED_MODELMBEAN_CLASS

    public static final String DEFAULT_REQUIRED_MODELMBEAN_CLASS

  This constant defines the default Model MBean implementation used for spec required Model MBean (`javax.management.modelmbean.RequiredModelMBean`) instance. Defaults to `XMBean` implementation.

  See Also:
    Constant Field Values

### LOADER_REPOSITORY_CLASS_PROPERTY

    public static final String LOADER_REPOSITORY_CLASS_PROPERTY

  This property can be used to configure the default class loader repository implementation for the JVM.

  See Also:
    Constant Field Values

### DEFAULT_LOADER_REPOSITORY_CLASS

    public static final String DEFAULT_LOADER_REPOSITORY_CLASS

See Also:
  Constant Field Values

### UNIFIED_LOADER_REPOSITORY_CLASS

    public static final String UNIFIED_LOADER_REPOSITORY_CLASS

See Also:
  Constant Field Values

### DEFAULT_SCOPED_REPOSITORY_CLASS

    public static final String DEFAULT_SCOPED_REPOSITORY_CLASS

See Also:
  Constant Field Values

### DEFAULT_SCOPED_REPOSITORY_PARSER_CLASS

    public static final String DEFAULT_SCOPED_REPOSITORY_PARSER_CLASS

See Also:
  Constant Field Values

### MBEAN_REGISTRY_CLASS_PROPERTY

    public static final String MBEAN_REGISTRY_CLASS_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_MBEAN_REGISTRY_CLASS

    public static final String DEFAULT_MBEAN_REGISTRY_CLASS

See Also:
  Constant Field Values

### MBEAN_SERVER_BUILDER_CLASS_PROPERTY

    public static final String MBEAN_SERVER_BUILDER_CLASS_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_MBEAN_SERVER_BUILDER_CLASS

    public static final String DEFAULT_MBEAN_SERVER_BUILDER_CLASS

See Also:
  Constant Field Values

### OPTIMIZE_REFLECTED_DISPATCHER

    public static final String OPTIMIZE_REFLECTED_DISPATCHER

See Also:
  Constant Field Values

### DEFAULT_LOADER_NAME

    public static final String DEFAULT_LOADER_NAME

See Also:
  Constant Field Values

### CLASSLOADER_ADDED

    public static final String CLASSLOADER_ADDED

See Also:
  Constant Field Values

### CLASSLOADER_REMOVED

    public static final String CLASSLOADER_REMOVED

See Also:
  Constant Field Values

### CLASS_REMOVED

    public static final String CLASS_REMOVED

See Also:
  Constant Field Values

### CLASSLOADER

    public static final String CLASSLOADER

  The key for the context classloader for an MBean registration

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.